import { jsxs as l, jsx as t } from "react/jsx-runtime";
import { dFlexColumn as f } from "./index-general.module.js";
import { classNames as s } from "./index-classNames.js";
import { ActionCardActions as y } from "./index-ActionCardActions.js";
import { Render as A } from "./index-Render.js";
import "react";
import e from "./index-ActionCard.module.scss.js";
const I = (d) => {
  const {
    testId: h,
    children: n,
    actions: r,
    transparent: a,
    id: m,
    innerRef: c,
    cardBodyStyle: p
  } = d, i = r == null ? void 0 : r.filter((o) => !o.type || o.type === "primary");
  return l("div", {
    ref: c,
    "data-testid": "ActionCardTestId",
    id: m,
    className: s(f, e.card, a ? e.transparent : ""),
    children: [t("div", {
      className: s(e.cardBody),
      style: p,
      children: n
    }), t(A, {
      if: !!i,
      children: t(y, {
        actions: i
      })
    })]
  });
};
export {
  I as ActionCard
};
